pole_11 = -Omega(1,1)*Gamma(1,1) + 1i*Omega(1,1)*sqrt(1-Gamma(1,1)^2);
pole_12 = -Omega(1,1)*Gamma(1,1) - 1i*Omega(1,1)*sqrt(1-Gamma(1,1)^2);
pole_21 = -Omega(2,2)*Gamma(2,2) + 1i*Omega(2,2)*sqrt(1-Gamma(2,2)^2);
pole_22 = -Omega(2,2)*Gamma(2,2) - 1i*Omega(2,2)*sqrt(1-Gamma(2,2)^2);
pole_31 = -Omega(3,3)*Gamma(3,3) + 1i*Omega(3,3)*sqrt(1-Gamma(3,3)^2);
pole_32 = -Omega(3,3)*Gamma(3,3) - 1i*Omega(3,3)*sqrt(1-Gamma(3,3)^2);

l_p_11 = exp(pole_11*dt);
l_p_12 = exp(pole_12*dt);
l_p_21 = exp(pole_21*dt);
l_p_22 = exp(pole_22*dt);
l_p_31 = exp(pole_31*dt);
l_p_32 = exp(pole_32*dt);


figure()
th = 0:pi/500:2*pi;
xunit = cos(th);
yunit = sin(th);
h = plot(xunit, yunit);
axis([-3 3 -3 3])
hold on
plot(real(l_p_11),imag(l_p_11),'r*');
plot(real(l_p_12),imag(l_p_12),'r*');
plot(real(l_p_21),imag(l_p_21),'bo');
plot(real(l_p_22),imag(l_p_22),'bo');
plot(real(l_p_31),imag(l_p_31),'gs');
plot(real(l_p_32),imag(l_p_32),'gs');
legend('unity circle','\lambda_{D1,1}','\lambda_{D1,2}','\lambda_{D2,1}','\lambda_{D2,2}','\lambda_{D3,1}','\lambda_{D3,2}')
title('poles of the system')
ylabel('Im(z)')
xlabel('Re(z)')
