% %Transfer functions
% % Hdp - transfer function relating fourier transform of inputs (force) to
% % fourier transform of outputs (dispalcement and acceleration
% 
% Hdp_d = @(s) Sdd(1,:)*phi(1,:)'*Sp'*phi(1,:)'/(s^2 + Gamma(1,1)*s + Omega(1,1)^2) + Sdd(1,:)*phi(2,:)'*Sp'*phi(2,:)'/(s^2 + Gamma(2,2)*s + Omega(2,2)^2) + Sdd(1,:)*phi(3,:)'*Sp'*phi(3,:)'/(s^2 + Gamma(3,3)*s + Omega(3,3)^2); 
% 
% figure(1)
% w = 0:0.001:80;
% ampl = zeros(1,length(w));
% for v=1:length(w)
%     ampl(v) = abs(Hdp_d(1i*w(v)));
% end
% semilogy(w,ampl)
% title('Hdp displacement to force')
% xlabel('pulsation [rad/s]')
% ylabel('amplitude')
% 
% Hdp_a = @(s) s^2*Sda(2,:)*phi(1,:)'*Sp'*phi(1,:)'/(s^2 + Gamma(1,1)*s + Omega(1,1)^2) + s^2*Sda(2,:)*phi(2,:)'*Sp'*phi(2,:)'/(s^2 + Gamma(2,2)*s + Omega(2,2)^2) + s^2*Sda(2,:)*phi(3,:)'*Sp'*phi(3,:)'/(s^2 + Gamma(3,3)*s + Omega(3,3)^2); 
% 
% figure(2)
% ampl_acc = zeros(1,length(w)); 
% for v=1:length(w)
%     ampl_acc(v) = abs(Hdp_a(1i*w(v)));
% end
% semilogy(w,ampl_acc)
% title('Hdp acceleration to force')
% xlabel('pulsation [rad/s]')
% ylabel('amplitude')
% 
% figure(3)
% subplot(1,2,1)
% semilogy(w,ampl)
% title('Hdp displacement to force')
% xlabel('pulsation [rad/s]')
% ylabel('amplitude')
% axis([-inf inf 10^(-10) 10^(-4)])
% subplot(1,2,2)
% semilogy(w,ampl_acc)
% title('Hdp acceleration to force')
% xlabel('pulsation [rad/s]')
% ylabel('amplitude')
% axis([-inf inf 10^(-10) 10^(-4)])

%zeros analysis 
Sdd = zeros(nd,ndisc);
Sdd(1,108) = 1 ; %Displacement measurement taken at 20 m from the bottom
Sda = zeros(nd,ndisc);
Sda(2,108) = 1 ; %Acceleration measurement taken at 20 m from the tip
%displacement
dp1 = Sdd(1,:)*phi(1,:)'*Sp'*phi(1,:)';
dp2 = Sdd(1,:)*phi(2,:)'*Sp'*phi(2,:)';
dp3 = Sdd(1,:)*phi(3,:)'*Sp'*phi(3,:)';
g1 = Gamma(1,1);
g2 = Gamma(2,2);
g3 = Gamma(3,3);
o1 = Omega(1,1)^2;
o2 = Omega(2,2)^2;
o3 = Omega(3,3)^2;


numer_d = [(dp1+dp2+dp3) , (dp1*(g3+g2)+dp2*(g3+g1)+dp3*(g2+g1)) , (dp1*(o3+g2*g3+o2)+dp2*(o3+g1*g3+o1)+dp3*(o2+g1*g2+o1)) , (dp1*(o3+o2)+dp2*(o3+o1)+dp3*(o2+o1)) , (dp1*o2*o3 + dp2*o1*o3 + dp3*o2*o1)] ;
zero_d = roots(numer_d);
zeroD_d = zeros(length(zero_d),1);
for i=1:length(zero_d)
    zeroD_d(i) = exp(zero_d(i)*dt);
end

% acceleration
ap1 = Sda(2,:)*phi(1,:)'*Sp'*phi(1,:)';
ap2 = Sda(2,:)*phi(2,:)'*Sp'*phi(2,:)';
ap3 = Sda(2,:)*phi(3,:)'*Sp'*phi(3,:)';

numer_a = [(ap1+ap2+ap3) , (ap1*(g3+g2)+ap2*(g3+g1)+ap3*(g2+g1)) , (ap1*(o3+g2*g3+o2)+ap2*(o3+g1*g3+o1)+ap3*(o2+g1*g2+o1)) , (ap1*(o3+o2)+ap2*(o3+o1)+ap3*(o2+o1)) , (ap1*o2*o3 + ap2*o1*o3 + ap3*o2*o1)] ;
zero_a = roots(numer_a);
zeroD_a = zeros(length(zero_a),1);
for i=1:length(zero_a)
    zeroD_a(i) = exp(zero_a(i)*dt);
end
a = abs(zeroD_a)
d = abs(zeroD_d)
